Skip to main content

Transaction Info

The following documentation explains how to integrate with the Transaction Information API. This API is used to retrieve information about a specific transaction.

API Endpoint

Endpoint URL: GET https://api.trential.dev/verification/api/1.0/transactions/info?orgId={orgId}&txnId={txnId}

Try it out →

Query Parameters

ParameterRequiredDescription
orgIdYesYour organisation ID
txnIdYesThe transaction ID returned from the Create Profile API

cURL

curl -X GET 'https://api.trential.dev/verification/api/1.0/transactions/info?orgId=YOUR_ORG_ID&txnId=YOUR_TRANSACTION_ID' \
-H 'x-api-key: YOUR_API_KEY'

Response

If the data is valid, the response will be as follows:

{
"code": 0,
"message": "Success",
"data": {
"_id": "65aa28302006fdff6f668495",
"candidate": {
"id": "65a7a2100404dddbf579fdf8",
"email": "xxxx",
"mobile": "+91-7755058011",
"profileDetails": {
"fatherName": "xxxxx",
"professionList": ["Other"],
"educationLevel": "",
"address": {
"line1": "xxx, Sector xx",
"line2": "",
"locality": "xxxxx",
"landmark": "",
"vtc": "xxx",
"district": "Gurgaon",
"state": "xxx",
"pincode": "xxxxxx",
"country": "India"
},
"gender": "Male",
"dob": "xxxx-06-03",
"name": "XXXXXXX"
}
},
"verificationList": [
{
"name": "bgv-degree",
"state": "COMPLETED"
},
{
"name": "bgv-employment",
"state": "COMPLETED"
}
],
"state": "IN_PROGRESS",
"report": "Private signed URL to download the report (available when state is COMPLETED)",
"updatedAt": "2024-05-14T11:46:01.908Z",
"createdAt": "2024-05-14T11:46:01.908Z"
}
}